%define	major	0
%define	libname	%mklibname compizconfig %major
%define	devname	%mklibname compizconfig -d

Summary:	Backend configuration library from Compiz
Name:		libcompizconfig
Version:	0.8.18
Release:	%mkrel 4
# only ini backend is GPLv2+
License:	LGPLv2+ and GPLv2+
Group:		System/X11
Url:		https://github.com/compiz-reloaded/libcompizconfig
Source0:	https://github.com/compiz-reloaded/libcompizconfig/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:     %{name}-config-dir.patch
Patch1:		0001-Release-version-0.8.18.patch
Patch2:		0002-Fix-configure-check-for-posix-compatible-scandir-fun.patch
Patch501:	libcompizconfig-linking.patch
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(egl)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(protobuf)
BuildRequires: %{_lib}decoration-devel >= 0.8.18

%description
Backend configuration library from Compiz.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Backend configuration library from Compiz
Group:		System/X11
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
Backend configuration library from Compiz.

%files -n %{libname}
%{_libdir}/libcompizconfig.so.%{major}*

#----------------------------------------------------------------------------

%package -n compizconfig
Summary:	Compizconfig Settings Plugins
Group:		System/X11
Provides:	compizconfig = %{version}-%{release}
%description -n compizconfig
This package contains plugins to configure compiz settings.

%files -n compizconfig
%dir %{_sysconfdir}/compizconfig/
%config(noreplace) %{_sysconfdir}/compizconfig/config
%{_libdir}/compiz/libccp.so
%{_libdir}/compizconfig/backends/libini.so
%{_datadir}/compiz/ccp.xml

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for libcompizconfig
Group:		Development/X11
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files for libcompizconfig.

%files -n %{devname}
%{_includedir}/compizconfig/
%{_libdir}/libcompizconfig.so
%{_libdir}/pkgconfig/libcompizconfig.pc

#----------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

#make autoreconf more happy
mkdir -p m4

%build
autoreconf -vfi
%configure2_5x \
	--disable-static
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name "*.la" -delete


%changelog
* Thu Jan 26 2023 tex - 0.8.18-4pclos2023
- rebuild against updates

* Mon Jan 16 2022 yodelu 0.8.18-3pclos2023
- rebuild against updates (python3)

* Sat Oct 09 2021 yodelu 0.8.18-3pclos2021
- rebuild

* Sat Apr 18 2020 yodelu 0.8.18-2pclos2020
- fix config dir path

* Sat Apr 18 2020 yodelu 0.8.18-1.pclos2020
- Imported to pclinuxos
